---
updatedAt: 2026-05-12T10:00:28.000Z
---

# Customize vulnerabilities

This operation allows you to customize the vulnerabilities for the assets to which the current user has access.

# OpenAPI definition

```json
{
  "components": {
    "responses": {
      "BadRequestResponse": {
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ErrorMessage"
            }
          }
        },
        "description": "BadRequestResponse indicates a request with invalid parameters"
      },
      "CustomizeVulnerabilityResponse": {
        "content": {
          "application/json": {
            "schema": {
              "items": {
                "$ref": "#/components/schemas/vulnCustomizationInfoSwagger"
              },
              "type": "array"
            }
          }
        },
        "description": "CustomizeVulnerabilityResponse provides a list of vuln customizations"
      },
      "GenericError": {
        "description": "GenericError generic error"
      },
      "UnauthorizedResponse": {
        "description": "UnauthorizedResponse signals an unauthorized API access"
      }
    },
    "schemas": {
      "CVSSV3Vector": {
        "description": "CVSSV3Vector is the CVSS V3 Vector data for the finding record",
        "properties": {
          "A": {
            "type": "string"
          },
          "AC": {
            "type": "string"
          },
          "AR": {
            "type": "string"
          },
          "AV": {
            "type": "string"
          },
          "C": {
            "type": "string"
          },
          "CR": {
            "type": "string"
          },
          "I": {
            "type": "string"
          },
          "IR": {
            "type": "string"
          },
          "MA": {
            "type": "string"
          },
          "MAC": {
            "type": "string"
          },
          "MAV": {
            "type": "string"
          },
          "MC": {
            "type": "string"
          },
          "MI": {
            "type": "string"
          },
          "MPR": {
            "type": "string"
          },
          "MS": {
            "type": "string"
          },
          "MUI": {
            "type": "string"
          },
          "PR": {
            "type": "string"
          },
          "S": {
            "type": "string"
          },
          "UI": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "ErrorMessage": {
        "description": "ErrorMessage describes the error",
        "properties": {
          "code": {
            "format": "int64",
            "type": "integer"
          },
          "reason": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "vulnCustomizationInfoSwagger": {
        "description": "vulnCustomizationInfoSwagger is the data returned by the customizeFindings endpoint",
        "properties": {
          "accepted": {
            "type": "boolean"
          },
          "assetType": {
            "type": "string"
          },
          "customPolicyId": {
            "format": "int64",
            "nullable": true,
            "type": "integer"
          },
          "customRisk": {
            "format": "int64",
            "nullable": true,
            "type": "integer"
          },
          "cvssV3": {
            "properties": {
              "environmentalScore": {
                "format": "double",
                "nullable": true,
                "type": "number"
              },
              "environmentalVector": {
                "type": "object"
              },
              "score": {
                "format": "double",
                "type": "number"
              },
              "vector": {
                "$ref": "#/components/schemas/CVSSV3Vector"
              }
            },
            "type": "object"
          },
          "id": {
            "format": "int64",
            "type": "integer"
          },
          "isCVSSV3Customized": {
            "type": "boolean"
          },
          "isVulnCustomized": {
            "type": "boolean"
          },
          "reason": {
            "nullable": true,
            "type": "string"
          }
        },
        "type": "object"
      },
      "vulnCustomizationInputSwagger": {
        "description": "vulnCustomizationInputSwagger is the data submitted by the user in the request body",
        "properties": {
          "accepted": {
            "description": "Setting accepted to TRUE means this vuln is considered an 'Acceptable Business Risk'",
            "type": "boolean"
          },
          "assetType": {
            "description": "Asset type <br/>\nSupported values: *site*, *application*, *api_site*, or *mobile_application*.",
            "type": "string"
          },
          "customRisk": {
            "description": "Custom Risk rating <br/>\nSupported values:  0 through 5 <br/>\n<b>NOTE:</b> Setting customRisk to 0 will remove this vulnerability's customized risk </br>\nand the vuln will return to the default WhiteHat risk rating.",
            "format": "int64",
            "nullable": true,
            "type": "integer"
          },
          "cvssV3EnvVector": {
            "description": "CVSSv3 Environmental Vector customization",
            "nullable": true,
            "type": "object"
          },
          "id": {
            "description": "Vulnerability (Finding) ID",
            "format": "int64",
            "type": "integer"
          },
          "reason": {
            "description": "The reason for the customization",
            "nullable": true,
            "type": "string"
          }
        },
        "required": [
          "id"
        ],
        "type": "object"
      }
    }
  },
  "info": {
    "license": {
      "name": "(c) Copyright 2022 WhiteHat Security"
    },
    "title": "Findings API",
    "version": "2.0.0"
  },
  "openapi": "3.0.1",
  "paths": {
    "/api/customizeFindings": {
      "put": {
        "description": "This operation allows you to customize the vulnerabilities for the assets to which the current user has access.",
        "operationId": "CustomizationInput",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "items": {
                  "$ref": "#/components/schemas/vulnCustomizationInputSwagger"
                },
                "type": "array"
              }
            }
          },
          "description": "Body of the request holds the data for vuln customization operation.",
          "required": true
        },
        "responses": {
          "201": {
            "$ref": "#/components/responses/CustomizeVulnerabilityResponse"
          },
          "400": {
            "$ref": "#/components/responses/BadRequestResponse"
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedResponse"
          },
          "500": {
            "$ref": "#/components/responses/GenericError"
          }
        },
        "summary": "Customize vulnerabilities",
        "tags": [
          "Findings API v2.0"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://sentinel.whitehatsec.com/"
    }
  ],
  "tags": [
    {
      "name": "Findings API v2.0"
    }
  ],
  "x-explorer-enabled": false,
  "x-readme": {
    "proxy-enabled": true
  }
}
```